# Interface QuantilesDoublesSketchIteratorAPI

All Superinterfaces:
  `QuantilesSketchIteratorAPI`

All Known Implementing Classes:
  `KllDoublesSketchIterator, QuantilesDoublesSketchIterator`

public interface QuantilesDoublesSketchIteratorAPI extends QuantilesSketchIteratorAPI
The quantiles sketch iterator for primitive type double.

Author:
  Lee Rhodes
See Also:
  - `QuantilesSketchIteratorAPI`

## Method Summary

Modifier and Type
Method
Description
`double`
`getQuantile()`
Gets the double quantile at the current index.

### Methods inherited from interface QuantilesSketchIteratorAPI

`getWeight, next`

## Method Details

### getQuantile

double getQuantile()
Gets the double quantile at the current index.

Don't call this before calling next() for the first time or after getting false from next().

Returns:
  the double quantile at the current index.